@echo off
set dm=dm800se

if (dm800se)==(%1%) (
	set TARGET=v:\usr\lib\enigma2\python\Plugins\Extensions\PlayStream\
) else if (dm500hd)==(%1%) (
	set TARGET=u:\usr\lib\enigma2\python\Plugins\Extensions\PlayStream\
) else (
	echo Not valid dreambox name
	pause
	GOTO:EOF
)

for %%f in (
__init__.py
plugin.py
plugin_locale.py
plugin.png
skin.xml
PlayStream.py
PlayStream.png
VideoDownload.py
enigma2_api.py
content\__ini__.py
content\ContentSources.py
content\resolver.py
content\util.py
content\run.py
content\Downloader.py
content\playstreamproxy.py
content\offline.mp4
content\demjson.py
content\sources\*.py
content\resolvers\*.py
locale\*
) do echo f | xcopy /y  %%f %TARGET%%%f
xcopy /y /q content\picons\* %TARGET%picons\
pause
